aboutsummaryrefslogtreecommitdiffstats
path: root/main/mumble/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-06-09 12:59:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-06-09 13:00:52 +0000
commit186a8e9a68f037386f16e5d274d890d41452ed93 (patch)
tree54a2d88745fad73194d04a9b90e7ec162338ab6a /main/mumble/APKBUILD
parentdf757cbd8c080da9ee54f06072200dbd5dad954c (diff)
downloadaports-186a8e9a68f037386f16e5d274d890d41452ed93.tar.gz
aports-186a8e9a68f037386f16e5d274d890d41452ed93.tar.bz2
aports-186a8e9a68f037386f16e5d274d890d41452ed93.tar.xz
main/mumble: fix build
ref #4258
Diffstat (limited to 'main/mumble/APKBUILD')
-rw-r--r--main/mumble/APKBUILD33
1 files changed, 23 insertions, 10 deletions
diff --git a/main/mumble/APKBUILD b/main/mumble/APKBUILD
index e59c1e8943..f8cc8cbeb1 100644
--- a/main/mumble/APKBUILD
+++ b/main/mumble/APKBUILD
@@ -2,20 +2,21 @@
# Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
pkgname=mumble
pkgver=1.2.8
-pkgrel=4
+pkgrel=5
pkgdesc="Mumble is an open source, low-latency, high quality voice chat software primarily intended for use while gaming"
url="http://mumble.sourceforge.net/"
arch="all"
license="BSD"
depends="qt-sqlite"
depends_dev="qt-dev libsndfile-dev boost-dev avahi-dev protobuf-dev libxi-dev
- speex-dev libcap-dev"
+ speex-dev speexdsp-dev libcap-dev"
makedepends="$depends_dev"
install="murmur.pre-install"
pkgusers="murmur"
pkggroups="murmur"
subpackages="$pkgname-doc murmur murmur-doc:murmur_doc"
source="http://downloads.sourceforge.net/mumble/$pkgname-$pkgver.tar.gz
+ 349436284b5f1baa61836c98ff0d518392140c5d.patch
murmur.initd
"
@@ -32,7 +33,9 @@ prepare() {
build() {
cd "$_builddir"
- qmake -recursive main.pro CONFIG+="no-speechd no-g15 no-update no-ice bundled-celt no-bundled-speex"
+ qmake -recursive main.pro \
+ CONFIG+="no-speechd no-g15 no-update no-ice bundled-celt no-bundled-speex" \
+ || return 1
make release
}
@@ -57,16 +60,23 @@ murmur() {
cd "$_builddir"
- install -o murmur -g murmur -dm755 ${subpkgdir}/var/lib/murmur
- install -Dm755 ./release/murmurd ${subpkgdir}/usr/bin/murmurd
- install -Dm644 ./scripts/murmur.ini ${subpkgdir}/etc/murmur.ini
+ install -o murmur -g murmur -dm755 ${subpkgdir}/var/lib/murmur \
+ || return 1
+ install -Dm755 ./release/murmurd ${subpkgdir}/usr/bin/murmurd \
+ || return 1
+ install -Dm644 ./scripts/murmur.ini ${subpkgdir}/etc/murmur.ini \
+ || return 1
sed 's/^database=$/database=\/var\/lib\/murmur\/murmur.sqlite/;\
s/^#uname=$/uname=murmur/;\
s/^#logfile=murmur.log$/logfile=\/var\/log\/murmur.log/;\
- s/^#pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/' -i ${subpkgdir}/etc/murmur.ini
- install -Dm644 ./scripts/murmur.conf ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf
- sed "s/mumble-server/murmur/" -i ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf
- install -D -m755 ${srcdir}/murmur.initd "${subpkgdir}"/etc/init.d/murmur
+ s/^#pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/' \
+ -i ${subpkgdir}/etc/murmur.ini
+ install -Dm644 ./scripts/murmur.conf \
+ ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf || return 1
+ sed "s/mumble-server/murmur/" \
+ -i ${subpkgdir}/etc/dbus-1/system.d/murmurd.conf
+ install -D -m755 ${srcdir}/murmur.initd \
+ "${subpkgdir}"/etc/init.d/murmur
}
murmur_doc() {
@@ -80,8 +90,11 @@ murmur_doc() {
}
md5sums="1a3ef91489ff674dfc010377d7721a28 mumble-1.2.8.tar.gz
+9a1c254352dd4bb9fe4ba2f7471fb030 349436284b5f1baa61836c98ff0d518392140c5d.patch
a33eeda77b1a5d10fbebaefd9c54ec8f murmur.initd"
sha256sums="4c2fc3dff49687bc1d977905958e8a9c35e109723aeed42c9ea124104febe159 mumble-1.2.8.tar.gz
+15a280e13e6671f3be1ef35d9462055d589bca0963048c495b62d0ba53b37dad 349436284b5f1baa61836c98ff0d518392140c5d.patch
2fa2104cc57a53145b0e962e04d90c49e3a70b9dfc3c78202948f97157c961d8 murmur.initd"
sha512sums="9c3534dacce22c6152f3ffa847e98b3b1bab43fd8a92285362333487b1bb9a064699296005350cf09bd44a8070508beaf14d3b518465fad3db94710cd818bc5b mumble-1.2.8.tar.gz
+17b4a2c506adddf58ed43b28cf97a256f891049bb87040e6eb9185e0174f1e827d1511e4554327b5337394356b787edf32a44e95624f9e004b35c0b1fecae0a4 349436284b5f1baa61836c98ff0d518392140c5d.patch
c74ade232146a180448cb0027503f59642000bee50613a1fb99162cdc4bc81089ab4e84e51b0bbdac5c176eb52b76e6bd2b3ec790a9148135a1fc050569921c3 murmur.initd"